# $FreeBSD: release/9.1.0/lib/clang/libclangcodegen/Makefile 235633 2012-05-18 21:49:11Z dim $

LIB=	clangcodegen

SRCDIR=	tools/clang/lib/CodeGen
SRCS=	BackendUtil.cpp \
	CGBlocks.cpp \
	CGBuiltin.cpp \
	CGCUDANV.cpp \
	CGCUDARuntime.cpp \
	CGCXX.cpp \
	CGCXXABI.cpp \
	CGCall.cpp \
	CGClass.cpp \
	CGCleanup.cpp \
	CGDebugInfo.cpp \
	CGDecl.cpp \
	CGDeclCXX.cpp \
	CGException.cpp \
	CGExpr.cpp \
	CGExprAgg.cpp \
	CGExprCXX.cpp \
	CGExprComplex.cpp \
	CGExprConstant.cpp \
	CGExprScalar.cpp \
	CGObjC.cpp \
	CGObjCGNU.cpp \
	CGObjCMac.cpp \
	CGObjCRuntime.cpp \
	CGOpenCLRuntime.cpp \
	CGRTTI.cpp \
	CGRecordLayoutBuilder.cpp \
	CGStmt.cpp \
	CGVTT.cpp \
	CGVTables.cpp \
	CodeGenAction.cpp \
	CodeGenFunction.cpp \
	CodeGenModule.cpp \
	CodeGenTBAA.cpp \
	CodeGenTypes.cpp \
	ItaniumCXXABI.cpp \
	MicrosoftCXXABI.cpp \
	ModuleBuilder.cpp \
	TargetInfo.cpp

TGHDRS=	AttrList \
	Attrs \
	DeclNodes \
	DiagnosticCommonKinds \
	DiagnosticFrontendKinds \
	Intrinsics \
	StmtNodes \
	arm_neon

.include "../clang.lib.mk"
